Summary: Broadcom Cryptonet BCM5820 driver for Linux.
Name: bcm5820
Version: 1.17
Release: 6
License: GPL
Group: System Environment/Base
Source: %{name}-%{version}.tgz
Patch0: bcm5820-1.17-init.patch
Patch1: bcm5820-1.17-log.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root 
Prereq: /sbin/chkconfig, /sbin/service
Requires: gawk
ExclusiveArch: %{ix86}

%description
This package contains the shared libraries used to interface with
the Broadcom Cryptonet BCM5820 driver under Linux.

%prep
%setup -c -q
%patch0 -p1 -b .init
%patch1 -p1 -b .log
find -name "*.c" -o -name "*.h" | xargs chmod -x
cp snmp/readme.txt snmp/readme.snmp

%build
make clean
make -C cndiag CFLAGS="$RPM_OPT_FLAGS -fPIC -I../SRL -I../Linux"
make -C ubslib CFLAGS="$RPM_OPT_FLAGS -fPIC -I../SRL -I../Linux" SHRCFLAGS="$RPM_OPT_FLAGS -fPIC -I../SRL -I../Linux"

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m755 cndiag/b58diag $RPM_BUILD_ROOT%{_bindir}/

mkdir -p $RPM_BUILD_ROOT%{_libdir}
install -m755 ubslib/lib*.so* $RPM_BUILD_ROOT%{_libdir}/
install -m644 ubslib/lib*.a $RPM_BUILD_ROOT%{_libdir}/

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m755 rpm/bcm5820 $RPM_BUILD_ROOT/etc/rc.d/init.d

mkdir -p $RPM_BUILD_ROOT%{_datadir}/snmp/mibs
install -m644 snmp/*.mib $RPM_BUILD_ROOT%{_datadir}/snmp/mibs/

install -m755 snmp/get5820stats $RPM_BUILD_ROOT%{_bindir}
install -m755 snmp/gen5820traps $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%post 
/sbin/ldconfig
/sbin/chkconfig --add bcm5820	

%preun
if [ $1 = 0 ] ; then
	/sbin/service bcm5820 stop >/dev/null 2>&1
	/sbin/chkconfig --del bcm5820	
fi

%files
%defattr(-,root,root)
%doc rpm/release.txt snmp/readme.snmp
%config /etc/rc.d/init.d/bcm5820
%{_bindir}/*
%{_libdir}/*
%{_datadir}/snmp/mibs/*

%changelog
* Tue Aug 28 2001 Nalin Dahyabhai <nalin@redhat.com> 1.17-6
- take some debug code out of get5820stats

* Fri Aug 23 2001 Nalin Dahyabhai <nalin@redhat.com> 1.17-5
- disable in openssl.cnf if module load fails

* Wed Aug 22 2001 Nalin Dahyabhai <nalin@redhat.com> 1.17-4
- mark that the service no longer needs to be stopped when it's stopped

* Tue Aug 14 2001 Nalin Dahyabhai <nalin@redhat.com>
- munge openssl.cnf in the init script, taking care to modify the right section

* Thu Aug  9 2001 Arjan van de Ven <arjanv@redhat.com>
- update to 1.17
- actually remove the postun

* Wed Aug  1 2001 Nalin Dahyabhai <nalin@redhat.com>
- refresh to 1.13
- remove postun, which isn't necessary (no daemon to shut down or restart)

* Tue Jul 24 2001 Bill Nottingham <notting@redhat.com>
- fix license, vendor

* Fri Jul 20 2001 Nalin Dahyabhai <nalin@redhat.com>
- disable the init script by default

* Wed Jul 18 2001 Nalin Dahyabhai <nalin@redhat.com>
- take the execute bit off of the static library

* Tue Jul 17 2001 Nalin Dahyabhai <nalin@redhat.com>
- initial package, based on Peter Wang's .spec file
- don't build kernel modules -- they're in the kernel packages
